﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PropertyGridWithFileUpload
{
    public class Avatar : INotifyPropertyChanged
    {
        private string sourceFile;

        public string SourceFile
        {
            get { return this.sourceFile; }
            set
            {
                if (value != this.sourceFile)
                {
                    this.sourceFile = value;
                    this.OnPropertyChanged("SourceFile");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged(PropertyChangedEventArgs args)
        {
            PropertyChangedEventHandler handler = this.PropertyChanged;
            if (handler != null)
            {
                handler(this, args);
            }
        }

        private void OnPropertyChanged(string propertyName)
        {
            this.OnPropertyChanged(new PropertyChangedEventArgs(propertyName));
        }
    }
}
